---

hetzner_server_type: cpx31
hetzner_server_labels: "stage={{ stage }} service=harbor"

filebeat_inputs:
- type: log
  paths:
    - /var/log/harbor/portal.log
  fields:
    harbor: true
    harbor-component: harbor-portal
- type: log
  paths:
    - /var/log/harbor/exporter.log
  fields:
    harbor: true
    harbor-component: harbor-exporter
- type: log
  paths:
    - /var/log/harbor/redis.log
  fields:
    harbor: true
    harbor-component: redis
- type: log
  paths:
    - /var/log/harbor/registryctl.log
  fields:
    harbor: true
    harbor-component: registryctl
- type: log
  paths:
    - /var/log/harbor/chartmuseum.log
  fields:
    harbor: true
    harbor-component: chartmuseum
- type: log
  paths:
    - /var/log/harbor/trivy-adapter.log
  fields:
    harbor: true
    harbor-component: trivy-adapter
- type: log
  paths:
    - /var/log/harbor/postgresql.log
  fields:
    harbor: true
    harbor-component: harbor-db
- type: log
  paths:
    - /var/log/harbor/jobservice.log
  fields:
    harbor: true
    harbor-component: harbor-jobservice
- type: log
  paths:
    - /var/log/harbor/proxy.log
  fields:
    harbor: true
    harbor-component: nginx
- type: log
  paths:
    - /var/log/harbor/registry.log
  fields:
    harbor: true
    harbor-component: registry
- type: log
  paths:
    - /var/log/harbor/core.log
  fields:
    harbor: true
    harbor-component: harbor-core
